Brasero, GNOME's burn:/// and K3b slow dvd burn speed

Bug #31709 reported by Timothy Miller on 2006-02-17
108
This bug affects 12 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Declined for Hardy by Steve Langasek
Declined for Intrepid by Steve Langasek
Declined for Jaunty by Steve Langasek
Nominated for Karmic by Montblanc
Nominated for Lucid by thgreasi

Bug Description

I have just purchased a new Samsung SH-W162C/BEBN.

According to the specs, it should be able to burn DVD-R's at 16x. When I tell k3b to burn a DVD, it first sets the speed to 8.02x, but it doesn't manage to burn faster than 4.4x. This drive is capable of various fast UDMA modes, so there's no reason for any particular limit on speed, but I don't know how to diagnose this.

Dapper seems to be using SCSI emulation (which I thought was deprecated for CD burning), so I can't get anything from hdparm for it.

There must be some aspect of my hardware that Dapper isn't detecting right. I'm using a brand new P4, 3.0GHZ, on an ABIT IL8 motherboard.

Timothy Miller (theosib) wrote :

If I have k3b create an image first, the burn speed I get is a little over 5x. I'm not maxing out either hard disk throughput or CPU utilization.

Also, FIFO buffer and Device buffer meters show nothing.

Kenny Duffus (kduffus) on 2006-03-17
Changed in k3b:
assignee: nobody → kubuntu-team
Jimmy Angelakos (vyruss) wrote :

I confirm this, this is exactly the case with my NEC ND-3500 AG, it can burn at 12x but I have *never* gotten speeds above 4x-4.5x ... This has been going on since Breezy Beta and continues into Dapper.

Jimmy Angelakos (vyruss) on 2006-04-03
Changed in k3b:
status: Unconfirmed → Confirmed
Jimmy Angelakos (vyruss) wrote :

This also happens on a fresh 6.06 install with all updates on a brand-new acer Aspire 3100 laptop with a 8x dvd-rw. It never writes above 4x ...

Andres Mujica (andres.mujica) wrote :

i've got this problem too.

DVD Burning on k3b is extremely slow.

haven't tried yet with another package, i don't know if its a linux dvd burning issue.

Adam Kimber (adam-kimber) wrote :

It appears that this is not a K3B only problem as many people are finding slow speeds in other programs. See forum -

http://ubuntuforums.org/showthread.php?t=128721

David Agudo (dagudoj) wrote :

I also have this problem with a LG 16x DVD-RW drive, P4 1.8 Ghz.

Tunning hdparams increased a bit the speed to 2x.

Changing the k3b process priority to 19 increased further the speed to 6x (but it is still far from 16x).

I guess the problem is related to the CPU usage: hdparams reduces CPU usage, and renice gives more CPU to k3b, so both increase the burning speed.

The problem is also in Edgy.

Magnes (magnesus2) wrote :

It's not only k3b, brasero is also very slow (3-6x whet it's set to 16x, on Windows the same burner writes with 12x because of slow hard drive).

It could depend on the media, if you can try in windows with the same stack of DVD's. Your drive's firmware may not be happy with the media you are using. I have the same problem with many types of disc's.

Vangelis Tasoulas (cyberang3l) wrote :

It`s a k3b related issue...
I am burning at maximum speed of 16x when using nerolinux but unfortunately nerolinux is not as good as nero for windows and it looks so ugly comparing to k3b both in look and functionality.

Linker (del-kaos) wrote :

I've experienced the same issue yesterday, when trying to write a dvd at 16x
and all I got was something below that. Strangely enough, the system became
non-responsive 5 minutes after that and my dvd writer kept spinning on and on,
even after rebooting. I had to shutdown the system and restart it.

I have an LG dvd writer (don't know the model), os is Kubuntu Feisty, after upgrading.

Amit Shah (am1tshah) wrote :

I too experience this on a ThinkPad T60. I'm running Kubuntu Feisty with the kernel that came with Feisty and KDE 3.5.7 from the archives. I can provide any other information needed about the setup.

Matt Sicker (jvz) wrote :

Same issue here on a Vaio VGN-FS550

KTW (kim-ktw) wrote :

I had the same problem with my LiteOn USB DVDRW drive.
This command seems to have fixed it:
sudo hdparm -d1 -c1 /dev/hdc

The drive is located at /dev/scd0
I have a DVD-rom drive at /dev/hdc

KTW (kim-ktw) wrote :

Note to the previous comment:
It seems to work only when burning CDR, and not DVD.
CDR speed is about 25x, and DVD is only 2x.

Motin (motin) wrote :

Confirmed using a HP Pavilion dv4000 with Feisty as well. It was the same in Dapper I remember.

I am burning in 4x-4.5x tops in k3b, but in 8x if I reboot in XP and use CD Burner XP Pro (freeware burning app).

A 4.2 GB DVD-R burn takes 40 minutes (as opposed to 15min i XP).

No response from any developer's/maintainers on this longstanding issue?

^rooker (rooker) wrote :

Unfortunately, I can also confirm that DVD burning seems to be slower than possible - Even in Gutsy, still. I'm using a "HL-DT-ST DVDRAM GSA-4120B, FwRev=A111" (details taken from "hdparm -i"), and I can only burn at max. 4x with a 16x DVD-R media.
CPU and harddisk are poking their noses, so it can't be limited by them. Any help/info appreciated. I'm even willing to help with gathering debugging details if possible.

Daniel Bruzzone (bruzzone) wrote :

I also confirm the original post, generally I acheive 4x or slightly lower, on occasion the burner will stop spinning the disk for pauses of up to 10 seconds.

brownbrown (brownbrown) wrote :

I also have a NEC 3520A and using K3B on Feisty. When I burn a DVD, in the "Burn Medium" popup window, in the "speed" drop-down menu, my only choices are "Auto", "ignore" and "2.4x". If I choose "Auto" it seems to burn at 2x which is really slow. If I choose "Ignore" it burns at full capcity: 16x. This is a combo drive, capable of burning DVD's and CD's. The CD burning speeds are all detected when I insert a CD, but not DVD.

I am using K3B version 3.5.6. When I was using Edgy, I could use the drop-down speed menu and choose 8x. I'm not sure which version that was but I do know it was an earlier version, but it did detect all capable speeds of my DVD Burner. I always used K3B for all my burning needs. But now that I can't burn at my preferred writing speed (8x), I'm thinking of trying something else unfortunately.

So as far as what someone said earlier that its a hardware issue I'm not so sure, because this didn't used to happen on the same drive with an earlier version of K3B. Isn't there a config file somewhere for K3B that I can manually add the proper device burning speeds of my NEC DVD Burner so it will reflect all of them (especially 8x) in the "Speed" drop-down menu?

Someone at Ubuntu forums has suggested downgrading K3B to version 1.0.3...so will try that.
__________________

brownbrown (brownbrown) wrote :

I also have a NEC 3520A and using K3B on Feisty. When I burn a DVD, in the "Burn Medium" popup window, in the "speed" drop-down menu, my only choices are "Auto", "ignore" and "2.4x". If I choose "Auto" it seems to burn at 2x which is really slow. If I choose "Ignore" it burns at full capcity: 16x. This is a combo drive, capable of burning DVD's and CD's. The CD burning speeds are all detected when I insert a CD, but not DVD.

I am using K3B version 3.5.6. When I was using Edgy, I could use the drop-down speed menu and choose 8x. I'm not sure which version that was but I do know it was an earlier version, but it did detect all capable speeds of my DVD Burner. I always used K3B for all my burning needs. But now that I can't burn at my preferred writing speed (8x), I'm thinking of trying something else unfortunately.

This didn't used to happen on the same drive with an earlier version of K3B. Isn't there a config file somewhere for K3B that I can manually add the proper device burning speeds of my NEC DVD Burner so it will reflect all of them (especially 8x) in the "Speed" drop-down menu?

Someone at Ubuntu forums has suggested downgrading K3B to version 1.0.3...so will try that.
__________________

dnh (dnh) wrote :

Same problem under Feisty using a Samsung SH-S182D. Usually, it starts burning DVD's with 8x, then drops below 1x and finally stabilizes at exactly 4.0x. I've tried several types of DVD's and settings in K3B, no big change - setting speed to "ignore" makes it a bit faster, but not much. The max speed should be 16x.

And by the way, whoever translated the "do not start k3b as root" warning into German should check the grammar.

usr (usrlp) wrote :

The same problem in Kubuntu 7.10.

Matthieu Yiptong (ergosteur) wrote :

I'm getting a max of 5x on a HL-DT-ST DVDRAM T10N.

David Agudo (dagudoj) wrote :

Kubuntu Hardy 8.04, kernel 2.6.24-17, burning as slow as usual (I suffer this problem from dapper...).

If you open k3b as root, then it will automatically renice genisoimage to -19 and will usually burn faster.

To be honest, I think the problem is not k3b but growisofs/genisoimage, k3b is only a frontend.

Arthur (moz-liebesgedichte) wrote :

Some of you might also see bug 195221 (Wrong UDMA mode due to error in 40/80 wire cable detection). With a drive on a controller not suffering from bug 195221 I reach full 16x burning speed with k3b on hardy without any modifications at all.

Jimmy Angelakos (vyruss) wrote :

This bug is ancient and is still not fixed.

It even happens with my brand new Samsung SATA DVD recorder which works normally under Brasero for instance.

Ι confirm and reckon a very very old bug. In my case, it appeared some one year ago with both of my DVD-RW devices. They are the same LG model HL-DT-ST DVDRAM GSA-4167B.
This is the output of /sbin/hdparm -i:

 Model=HL-DT-ST DVDRAM GSA-4167B , FwRev=DL12 , SerialNo=25C5C279C2B5
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 *udma2
 AdvancedPM=no
 Drive conforms to: Unspecified: ATA/ATAPI-2,3,4,5

Problem description is very simple. Burning speed for CDs or DVDs does not meet (any more) the capabilities of this device, when using on-the-fly mode of K3b.
Furthermore, during CD/DVD burning, the desktop at large seems to lag behind. I mean, CPU load is peeking and mouse stops moving periodically (only for a moment). In the end, CDs/DVDs are OK, but this is a torture (and a time-consuming effort).

The problem manifests in Ubuntu 7.10, 8.04, Debian as well as Fedora 8 and 9. So it is not distro specific.
Also, I am not sure that this is necessarily a K3B specific, since Gnome CD/DVD Creator or Brasero are not burning on the fly. Even then, it takes 7 minutes for a CD 700MB burn and mouse lags are there (but not so frequent or heavy as in K3b)

The CPU is AMD Athlon(tm) 64 Processor 3700+.

^rooker (rooker) wrote :

@Arthur:
Thanks for the UDMA/33 hint. Seems to be the problem in my case - according to dmesg output:
-----------
[ 35.648146] ata6: PATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0xfc00 irq 14
[ 35.966465] ata6.00: ATAPI: HL-DT-ST DVDRAM GSA-4120B, A111, max UDMA/33
[ 36.138006] ata6.00: configured for UDMA/33
-----------

^rooker (rooker) wrote :

Sorry for my previous post. I've done some reading, and it seems to be perfectly normal for optical drives to be udma/33 (=udma2, =atapi-4).

^rooker (rooker) wrote :

Sorry again... for flooding. :)
It might not be k3b related (at least in my case), since "dvd+rw-mediainfo" says that the drive only supports 4x (but it actually *can* do 12x - in windows). Media used are Platinum 16x.

Maybe it's a firmware problem?

Here are the interesting lines from "dvd+rw-mediainfo /dev/dvd":

<quote>
INQUIRY: [HL-DT-ST][DVDRAM GSA-4120B][A111]
GET [CURRENT] CONFIGURATION:
 Mounted Media: 1Bh, DVD+R
 Current Write Speed: 4.0x1385=5540KB/s
 Write Speed #0: 4.0x1385=5540KB/s
GET [CURRENT] PERFORMANCE:
 Write Performance: 4.0x1385=5540KB/s@[0 -> 2295103]
 Speed Descriptor#0: 02/2295103 R@4.1x1385=5730KB/s W@4.0x1385=5540KB/s
</quote>

Montblanc (montblanc) wrote :

I can confirm this bug on Intrepid fresh install. However, this tips solved the problem:

http://ubuntuforums.org/showthread.php?p=4615284

Hope it helps.

Montblanc (montblanc) wrote :

I spoke too soon, k3b still slows down the whole system and burning is still too slow, regardless of my options. Someone may still find the link useful.

usr (usrlp) wrote :

More than two years with and important bug that only affects at Kubuntu (no to other distros).
Please, solve this bug as soon as posible.

Thank you.

Montblanc (montblanc) wrote :

I don't think Kubuntu is the problem. The libata new standard has been implemented definitively in Intrepid, so there's no way to revert back to old ide modules and we just have to stick with ide drives recognized as /dev/sd* This means we should have slow speeds until libata bugs will be fixed.

Someone compiled the old modules against new kernels and blacklisted the generic drivers, but it's been verified with Via and AMD chipsets. I've got a Ali chipset which module is pata_ali and I can't find linux-image-2.6.24-12-generic, so I can't extract the alim15x3.ko module.

Take a look at this bug report:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/175022

Hope it helps.

Phil (neo6238-ubuntu) wrote :

dmesg |grep DMA:
[ 4.048473] ata2.00: ATAPI: HL-DT-ST DVDRAM GSA-T40N, JQ01, max UDMA/33
[ 4.048484] ata2.00: WARNING: ATAPI DMA disabled for reliablity issues. It can be enabled
[ 4.048491] ata2.00: simplex DMA is claimed by other device, disabling DMA

I can confirm that no-DMA bug in the forum-link, but the workaround did not fixed it. :-(

Hi again!
Seems my problems stemmed from missing dma setting.
I solved them by adding:

1) "options pata_ali atapi_dma=1" in /etc/modprobe.d/options (new file for me!)
2) "echo 1 > /sys/module/pata_ali/parameters/atapi_dma" in /etc/rc.local

and finally I added
 "pata_ali atapi_dma=1" to "/etc/initramfs-tools/modules"

See ULi specific bug:
https://bugs.launchpad.net/ubuntu/+source/linux-meta/+bug/328053/comments/4

Timothy Miller (theosib) wrote :

Well, in that case, something else is broken, because DMA capability should be automatically detected, right?

DMA is disabled by default for "reliability issues", it has been
replaced by libata standards.

2009/4/20 Timothy Miller <email address hidden>:
> Well, in that case, something else is broken, because DMA capability
> should be automatically detected, right?
>
> --
> K3b slow dvd burn speed
> https://bugs.launchpad.net/bugs/31709
> You received this bug notification because you are a direct subscriber
> of the bug.
>

The same bug in Ubuntu 9.04, with the GNOME's burn:/// dvd writer.

summary: - K3b slow dvd burn speed
+ K3b and GNOME's burn:/// slow dvd burn speed
affects: k3b (Ubuntu) → libatasmart (Ubuntu)
Changed in libatasmart (Ubuntu):
assignee: Kubuntu Bugs (kubuntu-bugs) → Ubuntu Bugs (ubuntu-bugs)
summary: - K3b and GNOME's burn:/// slow dvd burn speed
+ Brasero, GNOME's burn:/// and K3b slow dvd burn speed
Martin Pitt (pitti) on 2009-05-12
affects: libatasmart (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: Ubuntu Bugs (ubuntu-bugs) → nobody
gonen (gonen-r) wrote :

Had a similar problem.
DVD burning was extremely slow (below 1x speed), took forever to write DVDs.

sniffing around the web and looking at my system I found the following in dmesg:

[ 31.521623] ata1.00: ATA-7: FUJITSU MHV2060AT PL, 000000A0, max UDMA/100
[ 31.521627] ata1.00: 117210240 sectors, multi 16: LBA
[ 31.537571] ata1.00: configured for UDMA/100
[ 31.857052] ata2.00: ATAPI: TSSTcorpCD/DVDW TS-L632B, LG34, max UDMA/33
[ 31.857068] ata2.00: simplex DMA is claimed by other device, disabling DMA
[ 32.028830] ata2.00: configured for PIO4

I found this:
http://ubuntuforums.org/showthread.php?t=760121#2

I did the suggested solution:
 - in /etc/initramfs-tools/modules , added
pata_atiixp
blacklist ata_generic

 - then:
sudo update-initramfs -u

results are amazing...
from the ridiculous speed of 1x (and below) I got a burning speeds of up to 6x

dmesg no shows

[ 28.016707] ata1.00: ATA-7: FUJITSU MHV2060AT PL, 000000A0, max UDMA/100
[ 28.016710] ata1.00: 117210240 sectors, multi 16: LBA
[ 28.032662] ata1.00: configured for UDMA/100
[ 28.352140] ata2.00: ATAPI: TSSTcorpCD/DVDW TS-L632B, LG34, max UDMA/33
[ 28.523889] ata2.00: configured for UDMA/33

hope this will be helpful for others

italomaia (italo-maia) wrote :

K3B as well as growisofs show very poor burning speed here.

~> dmesg | grep DMA
[ 0.000000] DMA 0x00000000 -> 0x00001000
[ 0.000000] DMA zone: 32 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 3939 pages, LIFO batch:0
[ 1.991904] ata1: SATA max UDMA/133 cmd 0x30b0 ctl 0x30a4 bmdma 0x3090 irq 23
[ 1.991907] ata2: SATA max UDMA/133 cmd 0x30a8 ctl 0x30a0 bmdma 0x3098 irq 23
[ 2.876235] ata1.00: ATA-7: Hitachi HTS541616J9SA00, SB4OC7BP, max UDMA/100
[ 2.892248] ata1.00: configured for UDMA/100
[ 4.061904] ata3: PATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0x3080 irq 14
[ 4.061907] ata4: PATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0x3088 irq 15
[ 4.388465] ata4.00: ATAPI: MATSHITADVD-RAM UJ-851S, 1.50, max MWDMA2

antsu (anderson-dalcy) wrote :

I have recently upgraded to Jaunty (fresh install), and this slow DVD recording speeds problem also happens to me (for CDs it's fine). I have an LG GH22NP20 (that, afaik, can burn DVDs at 22x). When setting burning speed to 4x or 8x (it does not make diference), the maximum speed I can reach is from 1,2x to 2x. I checked the CD/DVD drives and HDs and everything is set to maximum UDMA, with no errors or warning messages. At burning process, CPU usage goes to 100%.
One curiosity is that, if I create a data DVD project from files on the HD and burn it on-the-fly, the problem ocurrs. If I burn from a pre-existent ISO file , the burn speed is normal. Also, if, instead of burning the project to the DVD recorder, I burn it to an ISO file, the process takes the same time of the slow recording.
So, I wonder if the issue is related to the ISO image creation process, because when writing to the DVD and this problem ocurrs, the software buffer (at K3Bs burning status window) stays between 1% and 5%. It looks like the process that reads the data from HD and outputs it in the ISO format cannot "feed" the recorder's buffer at suficient speed.

Here, the outputs of the test commands in my machine:

me@myhost:~$ dmesg | grep DMA
[ 0.000000] DMA 0x00000010 -> 0x00001000
[ 0.000000] DMA zone: 32 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 3951 pages, LIFO batch:0
[ 1.930073] ata1: PATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0xfc00 irq 14
[ 1.930078] ata2: PATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0xfc08 irq 15
[ 2.100599] ata1.00: ATA-7: Maxtor 6K040L0, NAR61HA0, max UDMA/133
[ 2.102223] ata1.01: ATA-7: Maxtor 6L080L0, BAJ41G20, max UDMA/133
[ 2.116463] ata1.00: configured for UDMA/133
[ 2.133846] ata1.01: configured for UDMA/133
[ 2.544448] ata2.00: ATAPI: HL-DT-STDVD-RAM GH22NP20, 1.03, max UDMA/66
[ 2.544507] ata2.01: ATAPI: SONY CD-RW CRX230EE, 2YS8, max UDMA/33
[ 2.560361] ata2.00: configured for UDMA/66
[ 2.592298] ata2.01: configured for UDMA/33
[ 10.727208] parport0: PC-style at 0x378 (0x778), irq 7, dma 3 [PCSPP,TRISTATE,COMPAT,ECP,DMA]

me@myhost:~$ hdparm -i /dev/sr0

/dev/sr0:

 Model=HL-DT-STDVD-RAM GH22NP20 , FwRev=1.03 , SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: sdma0 sdma1 sdma2 mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 *udma4
 AdvancedPM=no
 Drive conforms to: Unspecified: ATA/ATAPI-3,4,5,6

 * signifies the current active mode

ps: sorry if I was not suficiently clear, my English skills are not too good...

usr (usrlp) wrote :

This bug sucks.
Since more than three years the Ubuntu users can't burn correctly. Are we supposed that a user does not need to burn DVDs?
Ubuntu (and its derivatives) is the only one that has this bug.

antsu (anderson-dalcy) wrote :

Solved here! :)
At least for me, it seems that it was not related with drivers, but with the source file-system. I've found that the problem was only occurring when burning files about 200MB or bigger. So I updated my EXT3 partition with EXT4 (which is much better at large files handling) and now the problem is gone.
Sorry if this was not related with the original bug.
See ya!

usr (usrlp) wrote :

The problem isn't in ext3 file system, I am in openSUSE also with ext3 file system and I can burn DVDs correctly with the same DVD burner that in Ubuntu I can't.

Lepe (alepe-com) wrote :

[SOLVED] I had this problem since I changed to Intrepid... I thought it was related to the emulation of sd* (instead of hd*), as hdparm couldn't be used anymore...

My drive is a LG GSA-4167B which is capable of burning DVDs at 8x. It was burning at 1x! (and ubuntu became inoperable during the process).
I solved it with the solution posted by Dimitris:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/31709/comments/38
I now can burn at full speed and be able to use my computer meanwhile.

Thank you Dimitris!!

After fixing it:

hdparm -i /dev/sr0:

 Model=HL-DT-ST DVDRAM GSA-4167B , FwRev=DL12 , SerialNo=692127AA6080
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 *udma2
 AdvancedPM=no
 Drive conforms to: Unspecified: ATA/ATAPI-2,3,4,5

Edgar Cherkasov (edgar2705) wrote :

I have this bug after update to 2.6.28-14-generic kernel on jaunty.

Edgar Cherkasov (edgar2705) wrote :

I think this bug must have high or critical status

usr (usrlp) wrote :

"The problem isn't in ext3 file system, I am in openSUSE also with ext3 file system and I can burn DVDs correctly with the same DVD burner that in Ubuntu I can't."
I'm sorry, I want to say Mandriva Linux.

"I think this bug must have high or critical status"
+1. I am totally agree with you.

Phil (neo6238-ubuntu) wrote :

Will it still not be fixed in the next release?
I don't have any problems, because I stick on 8.04 since it was the last working one (for me). But it should be fixed anyway, high importance!

Changed in linux:
status: Unknown → Confirmed
Dimas (dimasmjunior) wrote :

I had a similar problem in Jaunty. Recording DVDs using GNOME's burn:///, or Brasero, or even the command line was extremely slow (0.5x). Upgrading to Karmic solved the problem. Haven't tested K3B.

Joa- (joaeide) wrote :

Also having similar problem with Karmic Koala(updated from 8.04)
 my, dmsg | grep ata, after burning:

[ 0.000000] #0 [0000000000 - 0000001000] BIOS data page ==> [0000000000 - 0000001000]
[ 0.000000] PERCPU: Embedded 14 pages at c200a000, static data 35612 bytes
[ 0.000000] Memory: 2052700k/2096972k available (4566k kernel code, 42920k reserved, 2142k data, 540k init, 1187668k highmem)
[ 0.000000] .data : 0xc0575b44 - 0xc078d3c8 (2142 kB)
[ 0.134863] libata version 3.00 loaded.
[ 0.813414] ata_piix 0000:00:1f.2: version 2.13
[ 0.813420] ata_piix 0000:00:1f.2: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[ 0.813426] ata_piix 0000:00:1f.2: MAP [ P0 P2 IDE IDE ]
[ 0.968025] ata_piix 0000:00:1f.2: setting latency timer to 64
[ 0.968171] scsi0 : ata_piix
[ 0.968247] scsi1 : ata_piix
[ 0.969008] ata1: SATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0xbfa0 irq 14
[ 0.969012] ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0xbfa8 irq 15
[ 1.136809] ata2.00: ATAPI: TSSTcorp DVD+/-RW TS-L532B, DE03, max UDMA/33
[ 1.137578] ata1.00: ATA-6: ST960822A, 8.03, max UDMA/100
[ 1.137581] ata1.00: 117210240 sectors, multi 8: LBA48
[ 1.137594] ata1.00: applying bridge limits
[ 1.144727] ata2.00: configured for UDMA/33
[ 1.152992] ata1.00: configured for UDMA/100
[ 1.206984] Write protecting the kernel read-only data: 1836k
[ 2.296045] EXT3-fs: mounted filesystem with writeback data mode.
[ 12.300097] ieee80211: 802.11 data/management/control stack, git-1.1.13
[508776.000263] ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[508776.000293] ata2.00: cmd a0/01:00:00:00:08/00:00:00:00:00/a0 tag 0 dma 2048 in
[508776.000309] ata2.00: status: { DRDY }
[508776.112189] ata2: soft resetting link
[508776.284500] ata2.00: configured for UDMA/33
[508776.284829] ata2: EH complete
[508805.005536] ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[508805.005552] ata2.00: cmd a0/01:00:00:00:08/00:00:00:00:00/a0 tag 0 dma 2048 in
[508805.005559] ata2.00: status: { DRDY }
[508805.060190] ata2: soft resetting link
[508805.232502] ata2.00: configured for UDMA/33
[508805.232851] ata2: EH complete
[508841.000265] ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[508841.000295] ata2.00: cmd a0/01:00:00:00:08/00:00:00:00:00/a0 tag 0 dma 2048 in
[508841.000311] ata2.00: status: { DRDY }
[508841.168195] ata2: soft resetting link
[508841.340386] ata2.00: configured for UDMA/33
[508841.340874] ata2: EH complete

Going to try some of the suggestions above. Post results later

Medya (medya) wrote :

I confirm this for DVD-R (not DVD+R) on my Ubuntu 9.10 using samsung sh-s182 .

I got 50 princo DVD-R 16x and they have good burning speed in windows and extremly slow in Linux ubuntu Karma .
my speed in ubuntu is like 1x or at most 2x , almost kills me to burn .
and it is slow just for Princo DVD-R 16X other DVD-Rs have normal speed in ubuntu .

is there any way to fix this problem ?

thgreasi (thgreasi) wrote :

Can confirm slow burning speeds (since ubuntu 8.04 to 9.10), both on my old pc:
Pentium 4 2gb ram with an IDE plextor drive
and my new:
i7 4gb ram with sata drive SONY OPTIARC AD-5240S.
Both have SWAP disabled.
In more detail, last night tried to burn an iso to a DL-DVD at x8 using nerolinux.
The read buffer was all the time full, but the dvd recorder`s buffer dropped all the time (to 4%).
So it seems it is not a low memory or slow file-system problem
Have also tried brasero and k3b in the past, getting the same results.

Using windows, I have been able to write dvd`s at x24 even on the Pentium 4 machine.

hdparm -i /dev/dvd

/dev/dvd:
 HDIO_DRIVE_CMD(identify) failed: Bad address

 Model=Optiarc, FwRev=1.02, SerialNo=
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 udma4 *udma5
 AdvancedPM=no
 Drive conforms to: Unspecified: ATA/ATAPI-3,4,5,6,7

 * signifies the current active mode

Greg Eden (grege) wrote :

Still an issue with Lucid, still a pain in the butt.

The solution is to use growisofs instead of wodim.

In k3b Settings -> Configure k3b -> Advanced -> Show Advance Gui elements

Restart k3b

next time when you go to burn something there will be a new menu in the burn dialog called "Writing App" , change it from Auto to growisofs and all of the slowness issues should evaporate.

This has plagued Ubuntu and Debian (and many other distros) users for four years, time enough for it to be fixed.

Another way is to just select force unsafe operations in Settings -> Configure k3b -> Advanced -> Force unsafe operations which will override the error that has been going on for four years, but perhaps leave you open to other issues. Experiment with whatever media you use first to make sure it works.

Hopefully this will help some with a workaround.

Lukáš Chmela (lukaschmela) wrote :

I can confirm, that I solved this bug by a workaround as someone before me did.
I have a ATAPI (PATA) CD-ROM drive and the problem was probably because of a unloaded or wrongly configured kernel module. The full workaroud that I did and rebooted after that is here:

https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/31709/comments/38

Now burning works fine for me at full speed, hope this helps someone else :)

Montblanc (montblanc) wrote :

Lukáš,
I'm very happy you managed to solve it! :)
By the way, that's an "old" workaround; you may just add the kernel parameter "pata_ali.atapi_dma=1" on Lucid, but in my case it just prevents the CPU from turning into a hog, while the ata_generic workaround does not perform very good on my system. The only way to "solve" this issue and let a proper module handle my drives is to turn back to Edgy or just to build a kernel by myself.

Carlos (gewan) wrote :

Funny, heh. I have the exact same drive as the original thread starter, i.e. Samsung SHW-162C. Now, it seems strange. I'm running 10.10/maverick on E2220 with 2x2GB DDR2. Burning a CD-RW (really slow operation yeah) should not keep me from using my system. However, I tried playback of a piece of DV2-AVI footage, it lagged like h*ll. I have HD3450 with official ATI drivers, and no ordinary issues with video. I did 'htop' and CPU was up at 60~80% constantly; both cores. Burning software was Brasero for that matter. Then it had finished playback was smooth as ever, again. Weird thing, feels like some piece still is missing in this incredible complex community puzzle we've agreed to call 'Buntu.

But I guess that's what these boards are for! :)

Raphaël Droz (raphael-droz) wrote :

Just to confirm that, in the Ali + SHW-162C case, adding pata_ali.atapi_dma=1 worked like a charm.

I also think that the Ali DMA should be auto-detected by the kernel (or at least, if a LKML known thread explains the reasons it is disabled by default, then the URL should be noted here).

My hardware :
IDE interface: ALi Corporation M5229 IDE (rev c7)
DVD driver: Model=TSSTcorpCD/DVDW SH-W162C, FwRev=TS10

(more details in the lspci attachment)

tags: added: dapper needs-kernel-logs needs-upstream-testing
removed: burning dvd lg slow very writer

Timothy Miller, thank you for reporting this and helping make Ubuntu better. Dapper desktop reached EOL on July 14, 2009.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We were wondering if this is still an issue in a supported release? If so, could you please test for this with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.7-rc1-quantal

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Please let us know your results. Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

affects: linux → bluez (Ubuntu)
Changed in bluez (Ubuntu):
importance: Unknown → Undecided
status: Confirmed → New
no longer affects: bluez (Ubuntu)
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
dino99 (9d9) on 2015-12-31
Changed in linux (Ubuntu):
status: Incomplete → Invalid
affects: brasero (Fedora) → brasero (Ubuntu)
Changed in brasero (Ubuntu):
status: Unknown → Invalid
Changed in brasero (Ubuntu):
importance: Unknown → Medium
no longer affects: brasero (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.